<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough">

    <h:head>         
        <meta charset="utf-8"/>
        <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
        <!-- Tell the browser to be responsive to screen width -->
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport"/>
        <h:outputStylesheet name="bootstrap/css/bootstrap.min.css" />
        
        <!-- Font Awesome -->
        <h:outputStylesheet name="plugins/font-awesome/css/font-awesome.min.css" />
        <!-- Ionicons -->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css"/>
        <!-- Theme style -->       
        <h:outputStylesheet name="dist/css/AdminLTE.min.css" />
        <h:outputStylesheet name="dist/css/skins/skin-blue.min.css" />
        <!-- iCheck -->
        <h:outputStylesheet name="plugins/iCheck/square/blue.css"/>
        
            <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
            <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
            <!--[if lt IE 9]>
            <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
            <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
            <![endif]-->
            <title>Musicapp || Login </title>
    </h:head>

    <h:body class="hold-transition login-page">
        <div class="login-box">
            <div class="login-logo">
                <b>Music</b>app
            </div>

            <!-- /.login-logo -->
            <div class="login-box-body">
                <p class="login-box-msg">Iniciar Sesión</p>

                <h:form>
                    <div class="form-group has-feedback">
                        
                        <h:inputText value="#{usuarioBean.usuario.correo}" 
                                         class="form-control" 
                                         a:placeholder="Correo Electrónico"/>
                        <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
                    </div>
                    <div class="form-group has-feedback">
                        <h:inputSecret value="#{usuarioBean.usuario.clave}" 
                                         class="form-control" 
                                         a:placeholder="Contraseña"/>
                        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
                    </div>
                    <div class="row">
                        <div class="col-xs-8">
                            <div >
                                
                            </div>
                        </div>
                        <!-- /.col -->
                        <div class="col-xs-4">
                            
                            <h:commandButton value="Ingresar" class="btn btn-primary btn-block btn-flat" 
                                             action="#{usuarioBean.verificarDatos()}"/>
                        </div>
                        <!-- /.col -->
                    </div>
                </h:form>

                <a href="">Olvidé mi contraseña</a><br/>
                <h:link class="text-center" outcome="register">¿No tienes cuenta? Registrate</h:link>
            </div>
        </div>
        <!-- jQuery 2.2.3 -->
        <h:outputScript library="plugins" name="jQuery/jquery-2.2.3.min.js"/>
        <!-- Bootstrap 3.3.6 -->
        <h:outputScript library="bootstrap" name="js/bootstrap.min.js"/>
        <!-- iCheck -->
        <h:outputScript library="plugins" name="iCheck/icheck.min.js"/>

        <script>
            $(function () {
                $('input').iCheck({
                    checkboxClass: 'icheckbox_square-blue',
                    radioClass: 'iradio_square-blue',
                    increaseArea: '20%' // optional
                });
            });
        </script>
    </h:body>
</html>